<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZOrderTabExpViewBase from './ibizorder-tab-exp-view-base.vue';

import view_tabexppanel from '@widgets/ibizorder/tab-exp-viewtabexppanel-tabexppanel/tab-exp-viewtabexppanel-tabexppanel.vue';
@Component({
    components: {
        view_tabexppanel, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZOrderTabExpView extends IBIZOrderTabExpViewBase {

}
</script>